Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QWindowsStyle Class Reference

The QWindowsStyle class provides a Microsoft Windows-like look and feel. More...

    #include <QWindowsStyle>

Inherits QCommonStyle.

Inherited by QMacStyle, QPlatinumStyle, and QWindowsXPStyle.

- List of all members, including inherited members

### Writable Properties

- 1 writable property inherited from QObject

### Public Functions

- QWindowsStyle ()
- ~QWindowsStyle ()

- 9 public functions inherited from QCommonStyle
- 23 public functions inherited from QStyle
- 24 public functions inherited from QObject

### Public Slots

- 1 public slot inherited from QObject

### Signals

- 1 signal inherited from QObject

### Static Public Members

- 6 static public members inherited from QStyle
- 4 static public members inherited from QObject

### Protected Functions

- 9 protected functions inherited from QObject

## Detailed Description

The QWindowsStyle class provides a Microsoft Windows-like look and feel.

This style is Qt's default GUI style on Windows.

## Member Function Documentation

### QWindowsStyle::QWindowsStyle ()

Constructs a QWindowsStyle object.

### QWindowsStyle::~QWindowsStyle ()

Destroys the QWindowsStyle object.